Bug 1732250 (CVE-2019-12221) - CVE-2019-12221 SDL: null-pointer dereference in function SDL_free_REAL in stdlib/SDL_malloc.c
Summary: CVE-2019-12221 SDL: null-pointer dereference in function SDL_free_REAL in std...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-12221
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1732251 1752603 1752604 1752605 1752606
Blocks: 1732266
TreeView+ depends on / blocked
 
Reported: 2019-07-23 05:17 UTC by Dhananjay Arunesh
Modified: 2021-02-16 21:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-20 18:45:35 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-23 05:17:57 UTC
An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9 when used in conjunction with libSDL2_image.a in SDL2_image 2.0.4. There is a SEGV in the SDL function SDL_free_REAL at stdlib/SDL_malloc.c.

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4628

Comment 1 Dhananjay Arunesh 2019-07-23 05:18:11 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1732251]

Comment 2 Petr Pisar 2019-07-23 11:40:12 UTC
The bug is in SDL2_image component. Not in SDL component. I moved the bug there. Please be more careful when filing bugs.

Comment 3 Dhananjay Arunesh 2019-09-16 18:13:57 UTC
Created SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1752605]
Affects: fedora-all [bug 1752603]


Created mingw-SDL2 tracking bugs for this issue:

Affects: epel-7 [bug 1752606]
Affects: fedora-all [bug 1752604]

Comment 4 Riccardo Schirone 2019-09-20 14:01:41 UTC
Statement:

This issue did not affect the versions of SDL as shipped with Red Hat Enterprise Linux 5, 6, 7, and 8 as they did not include SDL2_Image add-on.

Comment 5 Riccardo Schirone 2019-09-20 14:02:02 UTC
Upstream patch:
https://hg.libsdl.org/SDL_image/rev/e7e9786a1a34

Comment 6 Product Security DevOps Team 2019-09-20 18:45:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12221


Note You need to log in before you can comment on or make changes to this bug.